## solarized-emacs 2.0.0

=== Makefile ===
CASK = cask
export EMACS ?= emacs
EMACSFLAGS =
TESTFLAGS =

SRCS = $(wildcard *.el)
OBJS = $(SRCS:.el=.elc)

.PHONY: compile test clean elpa

all: compile

elpa-$(EMACS):
	$(CASK) install
	$(CASK) update
	touch $@

elpa: elpa-$(EMACS)

elpaclean:
	rm -f elpa*
	rm -rf .cask # Clean packages installed for development

compile: elpa
	$(CASK) build

clean:
	rm -f $(OBJS)

# test: elpa
# 	$(CASK) exec buttercup -L .

run:
	$(CASK) exec emacs -q -l ./dev-emacs.d/init.el ${ARGS}

test: elpa
	$(MAKE) run

dev: clean elpa
	$(MAKE) ARGS="dev-emacs.d/test-files/* dev-emacs.d/init.el *-theme.el solarized*.el" run

dev-merge: clean elpa
	rm -rf dev-emacs.d/test-repo
	git clone dev-emacs.d/test.git dev-emacs.d/test-repo
	git -C dev-emacs.d/test-repo checkout v2
	git -C dev-emacs.d/test-repo merge origin/v1 || exit 0
	$(MAKE) ARGS="dev-emacs.d/init.el *-theme.el solarized.el dev-emacs.d/test-repo" run

## solarized-emacs 1.2.2

=== debian/changelog ===
solarized-emacs (1.2.2-4) unstable; urgency=medium

  * Migrate to dh 12
  * d/control: Change Vcs-{Browser,Git} URL to salsa.debian.org
  * d/control: Update Maintainer (to Debian Emacsen team)
  * d/control: Declare Standards-Version 4.3.0 (no changes needed)
  * d/control: Drop emacs{24,25} from Enhances
  * d/control: Drop Built-Using field
  * d/control: Add Rules-Requires-Root: no
  * d/copyright: Update copyright information
  * d/rules: Drop --parallel

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 02 Feb 2019 14:46:04 +0500

solarized-emacs (1.2.2-3) unstable; urgency=medium

  * Depend on elpa-dash

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 03 Oct 2017 11:05:01 +0500

solarized-emacs (1.2.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.0 (no changes needed)
  * Drop unneeded deendencies (Closes: #865916)
  * Add emacs25 to Enchances

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 03 Oct 2017 10:57:46 +0500

solarized-emacs (1.2.2-1) unstable; urgency=low

  * Initial release (Closes: #841359)

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 19 Oct 2016 23:23:00 +0500

=== debian/control ===
Source: solarized-emacs
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-elpa
Standards-Version: 4.3.0
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/bbatsov/solarized-emacs
Vcs-Browser: https://salsa.debian.org/emacsen-team/solarized-emacs
Vcs-Git: https://salsa.debian.org/emacsen-team/solarized-emacs.git

Package: elpa-solarized-theme
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         elpa-dash
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: port of Solarized theme to Emacs
 Solarized for Emacs is an Emacs port of the Solarized theme for vim, developed
 by Ethan Schoonover. The theme is implemented in terms of customizations and
 deftheme and does not require the color-theme-package.

## solarized-emacs 1.3.0

=== debian/changelog ===
solarized-emacs (1.3.0-2) unstable; urgency=medium

  * Refresh patch
  * Add patch to fix version number in pkg file
  * d/control: Declare Standards-Version 4.4.0 (no changes needed)
  * d/control: Drop Testsuite (there are no real tests)
  * d/control: Drop explicit dependency on elpa-dash

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 06 Sep 2019 16:29:16 +0500

solarized-emacs (1.3.0-1) unstable; urgency=medium

  * Team upload (Closes: #930080).
  * New upstream release.

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 06 Jun 2019 11:21:07 -0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-elpa
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
-Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/bbatsov/solarized-emacs
 Vcs-Browser: https://salsa.debian.org/emacsen-team/solarized-emacs
 Vcs-Git: https://salsa.debian.org/emacsen-team/solarized-emacs.git
@@ -15,8 +14,7 @@
 Package: elpa-solarized-theme
 Architecture: all
 Depends: ${elpa:Depends},
-         ${misc:Depends},
-         elpa-dash
+         ${misc:Depends}
 Recommends: emacs (>= 46.0)
 Enhances: emacs
 Description: port of Solarized theme to Emacs

## solarized-emacs 1.3.1

=== debian/changelog ===
solarized-emacs (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.1
  * Refresh patch to fix version number
  * d/control: Declare Standards-Version 4.5.0 (no changes needed)
  * d/copyright: Update copyright

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 25 Jan 2020 10:48:26 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-elpa
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/bbatsov/solarized-emacs
 Vcs-Browser: https://salsa.debian.org/emacsen-team/solarized-emacs

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%solarized-emacs-$1.tar.gz%" \
             https://github.com/bbatsov/solarized-emacs/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## solarized-emacs 2.0.0

=== debian/changelog ===
solarized-emacs (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0
  * Refresh patches
  * Add upstream metadata
  * d/control: Declare Standards-Version 4.6.1 (no changes needed)
  * d/control: Migrate to debhelper-compat 13
  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 21 Jun 2022 18:14:51 +0500

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/bbatsov/solarized-emacs
 Vcs-Browser: https://salsa.debian.org/emacsen-team/solarized-emacs

## solarized-emacs 2.0.1

=== debian/changelog ===
solarized-emacs (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1
  * Drop patch to fix version number
  * d/control: Declare Standards-Version 4.6.2 (no changes needed)

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 18 Jun 2023 13:06:28 +0500

## solarized-emacs 2.0.2

=== debian/changelog ===
solarized-emacs (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2
  * Add patch to fix version number
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 10 Aug 2023 19:31:17 +0500

## solarized-emacs 2.0.3

=== debian/changelog ===
solarized-emacs (2.0.3-1) unstable; urgency=medium

  * New upstream version 2.0.3
  * Update patch to fix version number

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 23 Aug 2023 20:15:47 +0500

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/bbatsov/solarized-emacs
 Vcs-Browser: https://salsa.debian.org/emacsen-team/solarized-emacs

## solarized-emacs 2.0.4

=== debian/changelog ===
solarized-emacs (2.0.4-1) unstable; urgency=medium

  * New upstream version 2.0.4
  * Refresh patch to fix version number
  * d/control: Clean Recommends

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 09 Dec 2023 14:47:43 +0500

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Architecture: all
 Depends: ${elpa:Depends},
          ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: port of Solarized theme to Emacs
  Solarized for Emacs is an Emacs port of the Solarized theme for vim, developed

## solarized-emacs 2.0.5

=== debian/changelog ===
solarized-emacs (2.0.5-1) unstable; urgency=medium

  * New upstream version 2.0.5
  * Update patches
  * Declare Standards-Version 4.7.2 (no changes needed)
  * Update copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 28 Feb 2025 12:23:07 +0500

solarized-emacs (2.0.4-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 26 Jul 2024 11:17:21 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-elpa
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/bbatsov/solarized-emacs
 Vcs-Browser: https://salsa.debian.org/emacsen-team/solarized-emacs
